Bullet Collision Detection & Physics Library: btNullPairCache Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Private Attributes | List of all members
btNullPairCache Class Reference

btNullPairCache skips add/removal of overlapping pairs. Userful for benchmarking and unit testing. More...

`#include <btOverlappingPairCache.h>`

Inheritance diagram for btNullPairCache:
[legend]
Collaboration diagram for btNullPairCache:
[legend]

## Public Member Functions
virtual btBroadphasePair * | getOverlappingPairArrayPtr ()
const btBroadphasePair * | getOverlappingPairArrayPtr () const
btBroadphasePairArray & | getOverlappingPairArray ()
virtual void | cleanOverlappingPair (btBroadphasePair &, btDispatcher *)
virtual int | getNumOverlappingPairs () const
virtual void | cleanProxyFromPairs (btBroadphaseProxy *, btDispatcher *)
virtual void | setOverlapFilterCallback (btOverlapFilterCallback *)
virtual void | processAllOverlappingPairs (btOverlapCallback *, btDispatcher *)
virtual btBroadphasePair * | findPair (btBroadphaseProxy *, btBroadphaseProxy *)
virtual bool | hasDeferredRemoval ()
virtual void | setInternalGhostPairCallback (btOverlappingPairCallback *)
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *, btBroadphaseProxy *)
virtual void * | removeOverlappingPair (btBroadphaseProxy *, btBroadphaseProxy *, btDispatcher *)
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *, btDispatcher *)
virtual void | sortOverlappingPairs (btDispatcher *dispatcher)
Public Member Functions inherited from btOverlappingPairCache
virtual | ~btOverlappingPairCache ()
Public Member Functions inherited from btOverlappingPairCallback
virtual | ~btOverlappingPairCallback ()

## Private Attributes
btBroadphasePairArray | m_overlappingPairArray

## Additional Inherited Members
Protected Member Functions inherited from btOverlappingPairCallback
| btOverlappingPairCallback ()

## Detailed Description

btNullPairCache skips add/removal of overlapping pairs. Userful for benchmarking and unit testing.

Definition at line 386 of file btOverlappingPairCache.h.

## Member Function Documentation

## ◆ addOverlappingPair()

virtual btBroadphasePair* btNullPairCache::addOverlappingPair | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 444 of file btOverlappingPairCache.h.

## ◆ cleanOverlappingPair()

virtual void btNullPairCache::cleanOverlappingPair | ( | btBroadphasePair & | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 406 of file btOverlappingPairCache.h.

## ◆ cleanProxyFromPairs()

virtual void btNullPairCache::cleanProxyFromPairs | ( | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 416 of file btOverlappingPairCache.h.

## ◆ findPair()

virtual btBroadphasePair* btNullPairCache::findPair | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 429 of file btOverlappingPairCache.h.

## ◆ getNumOverlappingPairs()

virtual int btNullPairCache::getNumOverlappingPairs | ( |  | ) | const
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 411 of file btOverlappingPairCache.h.

## ◆ getOverlappingPairArray()

btBroadphasePairArray& btNullPairCache::getOverlappingPairArray | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 401 of file btOverlappingPairCache.h.

## ◆ getOverlappingPairArrayPtr() [1/2]

virtual btBroadphasePair* btNullPairCache::getOverlappingPairArrayPtr | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 393 of file btOverlappingPairCache.h.

## ◆ getOverlappingPairArrayPtr() [2/2]

const btBroadphasePair* btNullPairCache::getOverlappingPairArrayPtr | ( |  | ) | const
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 397 of file btOverlappingPairCache.h.

## ◆ hasDeferredRemoval()

virtual bool btNullPairCache::hasDeferredRemoval | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 434 of file btOverlappingPairCache.h.

## ◆ processAllOverlappingPairs()

virtual void btNullPairCache::processAllOverlappingPairs | ( | btOverlapCallback * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 425 of file btOverlappingPairCache.h.

## ◆ removeOverlappingPair()

virtual void* btNullPairCache::removeOverlappingPair | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 449 of file btOverlappingPairCache.h.

## ◆ removeOverlappingPairsContainingProxy()

virtual void btNullPairCache::removeOverlappingPairsContainingProxy | ( | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 454 of file btOverlappingPairCache.h.

## ◆ setInternalGhostPairCallback()

virtual void btNullPairCache::setInternalGhostPairCallback | ( | btOverlappingPairCallback * |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 439 of file btOverlappingPairCache.h.

## ◆ setOverlapFilterCallback()

virtual void btNullPairCache::setOverlapFilterCallback | ( | btOverlapFilterCallback * |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 421 of file btOverlappingPairCache.h.

## ◆ sortOverlappingPairs()

virtual void btNullPairCache::sortOverlappingPairs | ( | btDispatcher * | dispatcher | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 458 of file btOverlappingPairCache.h.

## Member Data Documentation

## ◆ m_overlappingPairArray

btBroadphasePairArray btNullPairCache::m_overlappingPairArray
| private

Definition at line 389 of file btOverlappingPairCache.h.

The documentation for this class was generated from the following file:

- btOverlappingPairCache.h